Why doesn't the Unity Web Player work anymore?

I have always used the webplayer with no problem but now it always ask me to install it. I dload it and install it but it both Safari and Firefox still asks to install webplayer. What has changed? (nothing on my system has since I last used it a few weeks ago.)

Firefox is removing NPAPI plugin support, which the Unity Web Player is considered.

This is following Chrome’s decision to remove support.

The WebGL player is getting much better and will basically be the standard for browser distribution of Unity games. I suggest you try to compile with that instead. Do note, that many features are unsupported currently.